---
title: RTCRtpReceiver
slug: Web/API/RTCRtpReceiver
tags:
  - API
  - Interface
  - Media
  - RTCRtpReceiver
  - Reference
  - WebRTC
  - WebRTC Statistics
  - WebRTC Statistics API
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>RTCRtpReceiver</code></strong> interface of the <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a> manages the reception and decoding of data for a {{domxref("MediaStreamTrack")}} on an {{domxref("RTCPeerConnection")}}.</span></p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("RTCRtpReceiver.track")}} {{readonlyinline}}</dt>
 <dd>Returns the {{domxref("MediaStreamTrack")}} associated with the current <code>RTCRtpReceiver</code> instance. </dd>
 <dt>{{domxref("RTCRtpReceiver.transport")}} {{readonlyinline}}</dt>
 <dd>Returns the {{domxref("RTCDtlsTransport")}} instance over which the media for the receiver's track is received.</dd>
</dl>

<h3 id="Obsolete_properties">Obsolete properties</h3>

<dl>
 <dt><code>rtcpTransport</code> {{obsolete_inline}}</dt>
 <dd>This property has been removed; the RTP and RTCP transports have been combined into a single transport. Use the {{domxref("RTCRtpReceiver.transport", "transport")}} property instead.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("RTCRtpReceiver.getContributingSources()")}}</dt>
 <dd>Returns an array of {{domxref("RTCRtpContributingSource")}} instances for each unique CSRC (contributing source) identifier received by the current <code>RTCRtpReceiver</code> in the last ten seconds.</dd>
 <dt>{{domxref("RTCRtpReceiver.getParameters()")}} </dt>
 <dd>Returns an <code>RTCRtpParameters</code> object which contains information about how the RTC data is to be decoded.</dd>
 <dt>{{domxref("RTCRtpReceiver.getStats()")}}</dt>
 <dd>Returns a {{jsxref("Promise")}} whose fulfillment handler receives a {{domxref("RTCStatsReport")}} which contains statistics about the incoming streams and their dependencies.</dd>
 <dt>{{domxref("RTCRtpReceiver.getSynchronizationSources()")}} </dt>
 <dd>Returns an array including one {{domxref("RTCRtpSynchronizationSource")}} instance for each unique SSRC (synchronization source) identifier received by the current <code>RTCRtpReceiver</code> in the last ten seconds.</dd>
</dl>

<h2 id="Static_methods">Static methods</h2>

<dl>
 <dt>{{domxref("RTCRtpReceiver.getCapabilities()")}}</dt>
 <dd>Returns the most optimistic view of the capabilities of the system for receiving media of the given kind.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0','#rtcrtpreceiver-interface','RTCRtpReceiver')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpReceiver")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC</a></li>
 <li>{{domxref("RTCStatsReport")}}</li>
 <li>{{domxref("RTCRtpSender")}}</li>
 <li>{{domxref("RTCPeerConnection.getStats()")}}</li>
</ul>
